AdfUIValue.prototype.$isConvertible$ = function $AdfUIValue$$$isConvertible$$() {
  return this.$_failedConversion$ ? ($AdfLogger$$.$LOGGER$.info("AdfUIValue.isConvertible: false"), !1) : !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIValue.prototype.isConvertible", {$isConvertible$:AdfUIValue.prototype.$isConvertible$});
AdfUIValue.prototype.getValue = function $AdfUIValue$$getValue$() {
  if (this.$isConvertible$()) {
    return AdfUIValue.$superclass$.getValue.call(this);
  }
  $AdfLogger$$.$LOGGER$.info("AdfUIValue.getValue: last attempt to convert failed, returning undefined ", this);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIValue.prototype.getValue", {getValue:AdfUIValue.prototype.getValue});
AdfUIValue.prototype.$GetConvertedValue$ = function $AdfUIValue$$$GetConvertedValue$$($newValue$$199_value$$288$$) {
  $AdfLogger$$.$LOGGER$.fine("Converting: ", $newValue$$199_value$$288$$);
  $newValue$$199_value$$288$$ = this.$getPeer$().$getConvertedValue$(this, $newValue$$199_value$$288$$);
  this.$_failedConversion$ = void 0 === $newValue$$199_value$$288$$ ? !0 : !1;
  return $newValue$$199_value$$288$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIValue.prototype.GetConvertedValue", {$GetConvertedValue$:AdfUIValue.prototype.$GetConvertedValue$});
AdfUIValue.prototype.$SetPropertyImpl$ = function $AdfUIValue$$$SetPropertyImpl$$($propName$$40$$, $oldValue$$125$$, $newValue$$200$$) {
  $propName$$40$$ == AdfUIValue.VALUE && (this.$_failedConversion$ = !1);
  AdfUIValue.$superclass$.$SetPropertyImpl$.call(this, $propName$$40$$, $oldValue$$125$$, $newValue$$200$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIValue.prototype.SetPropertyImpl", {$SetPropertyImpl$:AdfUIValue.prototype.$SetPropertyImpl$});
AdfUIValue.prototype.$GetChanges$ = function $AdfUIValue$$$GetChanges$$() {
  var $changes$$11$$ = AdfUIValue.$superclass$.$GetChanges$.call(this), $value$$289$$ = $changes$$11$$[AdfUIValue.VALUE];
  if (void 0 !== $value$$289$$) {
    delete $changes$$11$$[AdfUIValue.VALUE];
    if (null != $value$$289$$) {
      var $converter$$29$$ = this.getConverter();
      if (null != $converter$$29$$ && ($value$$289$$ = $converter$$29$$.getAsString($value$$289$$), void 0 === $value$$289$$)) {
        return $changes$$11$$;
      }
    }
    $changes$$11$$._unconvertedValue = $value$$289$$;
  }
  return $changes$$11$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfUIValue.prototype.GetChanges", {$GetChanges$:AdfUIValue.prototype.$GetChanges$});
